import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class AgentPriceService {

  constructor(private http: HttpClient) { }

  /**
   * 编辑价格
   * @param param
   * @param callBack
   */
  public editPrice(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentPrice/editPrice', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 批量配置价格
   * @param param
   * @param callBack
   */
  public batchConfigPrice(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.post(environment.baseUrl + 'agentPrice/batchConfigPrice', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 油站价格
   * @param param
   * @param callBack
   */
  public getOilNoPrice(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentPrice/getOilNoPrice?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询代理价格
   * @param param
   * @param callBack
   */
  public getPriceList(param: any, callBack:any) {
    param.tm = new Date().getTime();
    this.http.get(environment.baseUrl + 'agentPrice/getPriceList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }
}
