import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class DeviceService {

  constructor(private http: HttpClient) { }

  /**
   * 编辑设备
   * @param params
   * @param callBack
   */
  public editDevice(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'device/editDevice', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 删除设备
   * @param params
   * @param callBack
   */
  public delDevice(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'device/delDevice', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询设备列表
   * @param params
   * @param callBack
   */
  public getDeviceList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'device/getDeviceList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询小票打印内容
   * @param params
   * @param callBack
   */
  public getSettingReceipt(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'device/getSettingReceipt?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 设置小票打印内容
   * @param params
   * @param callBack
   */
  public settingReceipt(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'device/settingReceipt', params).subscribe(data => {
      callBack(data);
    });
  }

}
