import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OilDiscountService {

  constructor(private http: HttpClient) { }

  /**
   * 批量增加任务
   * @param params
   * @param callBack
   */
  public batchAddTask(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasOilPriceTask/batchAddTask', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 删除任务
   * @param params
   * @param callBack
   */
  public delTask(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasOilPriceTask/delTask', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询任务列表
   * @param params
   * @param callBack
   */
  public getTaskList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasOilPriceTask/getTaskList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }
}
