import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class MerChainBrandService {

  constructor(private http: HttpClient) { }

  /**
   * 编辑连锁品牌
   * @param params
   * @param callBack
   */
  public editChainBrand(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'merchantChainBrand/editChainBrand', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询连锁品牌
   * @param params
   * @param callBack
   */
  public getList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'merchantChainBrand/getList?' + ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }
}
