import { Injectable } from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {ObjectData} from "../../utils/objectData.service";
import {environment} from "../../../environments/environment";
@Injectable({
  providedIn: 'root'
})
export class MerClassGroupTaskService {

  constructor(
      private http: HttpClient
  ) { }

  /**
   * 开启班组任务
   *
   * @param  param   参数对象
   * @param  callBack   回调
   */
  public startGroupTask(param: object, callBack: any) {
    this.http.post(environment.baseUrl + 'gasClassGroupTask/startGroupTask', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 结束班组任务
   *
   * @param  param   参数对象
   * @param  callBack   回调
   */
  public endGroupTask(param: object, callBack: any) {
    this.http.post(environment.baseUrl + 'gasClassGroupTask/endGroupTask', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 交换班组任务
   *
   * @param  param   参数对象
   * @param  callBack   回调
   */
  public swapGroupTask(param: object, callBack: any) {
    this.http.post(environment.baseUrl + 'gasClassGroupTask/swapGroupTask', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 交换班组任务
   *
   * @param  param   参数对象
   * @param  callBack   回调
   */
  public getClassGroupTaskById(id: number, callBack: any) {
    this.http.get(environment.baseUrl + 'gasClassGroupTask/getClassGroupTaskById?gasClassGroupTaskId=' + id).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 交换班组任务
   *
   * @param  param   参数对象
   * @param  callBack   回调
   */
  public getCurrentClassGroupTask(gasId: number, callBack: any) {
    this.http.get(environment.baseUrl + 'gasClassGroupTask/getCurrentClassGroupTask?time='+new Date().getTime()+'&gasId=' + gasId).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 交换班组任务
   *
   * @param  param   参数对象
   * @param  callBack   回调
   */
  public getClassGroupTaskList(param: object, callBack: any) {
    this.http.get(environment.baseUrl + 'gasClassGroupTask/getClassGroupTaskList?' + ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 打印小票
   *
   * @param  param   参数对象
   * @param  callBack   回调
   */
  public print(gasClassGroupTaskId: number, callBack: any) {
    this.http.get(environment.baseUrl + 'gasClassGroupTask/print?time='+new Date().getTime()+'&gasClassGroupTaskId=' + gasClassGroupTaskId).subscribe(data => {
      callBack(data);
    });
  }

}
