import { Injectable } from '@angular/core';
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";
import {HttpClient} from "@angular/common/http";

@Injectable({
  providedIn: 'root'
})
export class MerQrCodeService {

  constructor(private http: HttpClient) { }

  /**
   * 查询商户列表
   * @param params
   * @param callBack
   */
  public queryQrCodeList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'merchantQrCode/queryQrCodeList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }
}
