import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class MerStaffService {

  constructor(private http: HttpClient) { }

  /**
   * 增加
   * @param params
   * @param callBack
   */
  public addGasStaff(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasStaff/addGasStaff',params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 增加
   * @param params
   * @param callBack
   */
  public updateGasStaff(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasStaff/updateGasStaff',params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询二维码
   * @param params
   * @param callBack
   */
  public queryQrCode(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasStaff/queryQrCode?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }


  /**
   * 禁用
   * @param params
   * @param callBack
   */
  public disabled(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasStaff/disabled', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 恢复
   * @param params
   * @param callBack
   */
  public recover(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasStaff/recover', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 删除
   * @param params
   * @param callBack
   */
  public delStaff(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'gasStaff/delStaff', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询员工详情
   * @param params
   * @param callBack
   */
  public getStaffDetail(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasStaff/getStaffDetail?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询员工列表
   * @param params
   * @param callBack
   */
  public getStaffList(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'gasStaff/getStaffList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }

}
