import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class SpreadOilChannelService {

  constructor(private http: HttpClient) { }

  /**
   * 编辑
   * @param params
   * @param callBack
   */
  public editOilChannel(params: any, callBack:any) {
    params.time = new Date().getTime();
    this.http.post(environment.baseUrl + 'userSpread/editOilChannel', params).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询列表
   * @param params
   * @param callBack
   */
  public getOilChannelList(params: any, callBack:any) {
    this.http.get(environment.baseUrl + 'userSpread/getOilChannelList?'+ObjectData.objectByString(params)).subscribe(data => {
      callBack(data);
    });
  }
}
