import { Injectable } from '@angular/core';
import {HttpClient} from "@angular/common/http";
import {environment} from "../../../environments/environment";
import {ObjectData} from "../../utils/objectData.service";

@Injectable({
  providedIn: 'root'
})
export class OrderRefundService {

  constructor(private http: HttpClient) { }

  /**
   * 退款
   * @param param
   * @param callBack
   */
  public tradeOrder(orderNo: string, remark: string, callBack:any) {
    const param = {
      orderNo: orderNo,
      remark: remark,
      time: new Date().getTime()
    }
    this.http.post(environment.baseUrl + 'refund/tradeOrder', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 退款
   * @param param
   * @param callBack
   */
  public tradeOrderChild(childOrderNo: string, productCount: number, remark: string, callBack:any) {
    const param = {
      childOrderNo: childOrderNo,
      productCount: productCount,
      remark: remark,
      time: new Date().getTime()
    }
    this.http.post(environment.baseUrl + 'refund/tradeOrderChild', param).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询退款订单列表
   * @param param
   * @param callBack
   */
  public queryList(param: any, callBack:any) {
    param.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'refund/queryList?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

  /**
   * 查询退款订单
   * @param param
   * @param callBack
   */
  public queryRefund(param: any, callBack:any) {
    param.time = new Date().getTime();
    this.http.get(environment.baseUrl + 'refund/queryRefund?'+ObjectData.objectByString(param)).subscribe(data => {
      callBack(data);
    });
  }

}
